"""EE Authentic2 configuration"""

# Add eeauthentic2 as installed apps to enable provided CLI commands
INSTALLED_APPS += ("eeauthentic2",)  # noqa: F821 # pylint: disable=undefined-variable

# Default languages (default: base on environment variables)
# EEA2_DEFAULT_LANGUAGES = ["fr_FR.UTF-8"]

#
# Zxcvbn passwords checker configuration
#

# Enable Zxcvbn passwords checker
# A2_PASSWORD_POLICY_CLASS = "eeauthentic2.passwords.ZxcvbnPasswordChecker"

# Enable eeauthentic2.passwords.validate_password middleware
# MIDDLEWARE += ("eeauthentic2.passwords.validate_password",)  # noqa: F821 # pylint: disable=undefined-variable

# Minimum score (default: 4)
# PASSWORD_ZXCVBN_MIN_SCORE = 4

# Minimum guesses log10 (default: 12)
# PASSWORD_ZXCVBN_MIN_GUESSES_LOG10 = 12

# Banned dictionaries (default: none)
# PASSWORD_ZXCVBN_BANNED_DICTIONARIES = []

# Path of the JSON of custom dictionaries (default: none)
# Note: The JSON file must contain an hash with dictionary name as key and
# a list of words as value.
# PASSWORD_ZXCVBN_CUSTOM_DICTIONARIES = "/path/to/mydict.json"

# Show warnings reported by Zxcvbn (default: True)
# PASSWORD_ZXCVBN_SHOW_WARNINGS = True

# Show Zxcvbn's suggestions (default: True)
# PASSWORD_ZXCVBN_SHOW_SUGGESTIONS = True
